Toggle platform
curl --request PATCH \
--url https://spectrum.photon.codes/projects/{projectId}/platforms/ \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://spectrum.photon.codes/projects/{projectId}/platforms/"
payload = { "enabled": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://spectrum.photon.codes/projects/{projectId}/platforms/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"imessage": {
"enabled": true,
"autoScale": true
},
"whatsapp_business": {
"enabled": true
},
"voice": {
"enabled": true,
"imessage_enabled": true
},
"slack": {
"enabled": true
}
}
}platforms
Toggle platform
Enables or disables a platform for the project. Preserves any previously-stored metadata across toggles. Requires Authorization: Basic base64(projectId:projectSecret).
PATCH
/
projects
/
{projectId}
/
platforms
/
Toggle platform
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Was this page helpful?
⌘I